org.apache.lucene.search.grouping

## Class DistinctValuesCollector.GroupCount<T,R>

- java.lang.Object
- - org.apache.lucene.search.grouping.DistinctValuesCollector.GroupCount<T,R>

Enclosing class:
  DistinctValuesCollector<T,R>

    public static class DistinctValuesCollector.GroupCount<T,R>
    extends Object

Returned by `DistinctValuesCollector.getGroups()`, representing the value and set of distinct values for the group.

### Field Summary

Fields
`T` `groupValue`
`Set<R>` `uniqueValues`

### Constructor Summary

Constructors
Constructor and Description
`GroupCount(T groupValue, Set<R> values)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### groupValue

    public final T groupValue

#### uniqueValues

    public final Set<R> uniqueValues

### Constructor Detail

#### GroupCount

    public GroupCount(T groupValue,
                      Set<R> values)